;;==========================================================================;; 
;; Joe Zbiciak's Space Patrol for Intellivision.                            ;;
;; Copyright 2007, Joe Zbiciak, intvnut AT gmail.com.                       ;;
;; http://spatula-city.org/~im14u2c/intv/                                   ;;
;;==========================================================================;;

;;==========================================================================;;
;;  CLRSP     Clear all the sprites.                                        ;;
;;==========================================================================;;
CLRSP   PROC
        MVII    #SDAT,  R4          ;     Just clear out the SDAT shadow regs
        INCR    PC
@@1:    CLRR    R4                  ;     Alt: Clear out the actual MOB regs

        CLRR    R0                  ;
        MVII    #$18/8, R1          ;
@@lp1:
        MVO@    R0,     R4          ;     \
        MVO@    R0,     R4          ;      |
        MVO@    R0,     R4          ;      |
        MVO@    R0,     R4          ;      |
        DECR    R1                  ;      |-- Just pump the MOBs full of 
        MVO@    R0,     R4          ;      |   zeros.
        MVO@    R0,     R4          ;      |
        MVO@    R0,     R4          ;      |
        MVO@    R0,     R4          ;     / 
        BNEQ    @@lp1               ;

        JR      R5
        ENDP

__
;* ======================================================================== *;
;*  This program is free software; you can redistribute it and/or modify    *;
;*  it under the terms of the GNU General Public License as published by    *;
;*  the Free Software Foundation; either version 2 of the License, or       *;
;*  (at your option) any later version.                                     *;
;*                                                                          *;
;*  This program is distributed in the hope that it will be useful,         *;
;*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *;
;*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       *;
;*  General Public License for more details.                                *;
;*                                                                          *;
;*  You should have received a copy of the GNU General Public License       *;
;*  along with this program; if not, write to the Free Software             *;
;*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               *;
;* ======================================================================== *;
;*                   Copyright (c) 2007, Joseph Zbiciak                     *;
;* ======================================================================== *;
_
